Bug 969315 - Script Task does not support some properties from BPMN2 standard
Script Task does not support some properties from BPMN2 standard
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kris Verlaenen
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 03:51 EDT by Sona Mala
Modified: 2015-12-08 11:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-05-31 03:51:39 EDT
Description of problem:
Following BPMN2 standard, the script task inherit all properties from Activity class (like loop characteristics, Data input/output set, Assigments, etc.) I am not able to find any statement which says that Script Task should not contain these properties.

Version-Release number of selected component (if applicable):
6.0.0 DR4

How reproducible:


Steps to Reproduce:
1. create process (Start -> Script task -> End)
2. activate Script Task
3. open Extra Properties Bar

Actual results:
Properties: ScriptLanguage, On Entry Actions, On Exit Actions, Script

Expected results (following BPMN2 standard):
Properties: ScriptLanguage, On Entry Actions, On Exit Actions, Script, Assigments, Data Input/Ouput Set, Loop characteristics

Additional info:
Missing properties is able to set in NoneTask type and after you change a type back to Script Task you are able to see these settings in BPMN2 code. So our BPMN2 code supports these properties but User has not got the right to set these properties directly.
Comment 1 Kris Verlaenen 2013-05-31 18:54:15 EDT
These properties are not supported for script tasks in jBPM6, and therefore are not available in designer.
Comment 2 Prakash Aradhya 2013-08-06 15:43:44 EDT
too late to tackle in 6.0. move to 6.1
Comment 4 Jiri Locker 2015-12-08 11:19:12 EST
(In reply to Kris Verlaenen from comment #1)
> These properties are not supported for script tasks in jBPM6, and therefore
> are not available in designer.

Please close as "notabug" or "wontfix" if there is no plan to add support for these properties in the future.

Note You need to log in before you can comment on or make changes to this bug.